"""
Automatically generated by gen-cli.py.
"""
from argparse import Namespace
from typing import Type

from wai.common.cli import CLIFactory, CLIInstantiable
from wai.common.meta.typing import VAR_ARGS_TYPE

from wai.common.cli.options._ClassOption import ClassOption
from wai.common.cli.options._FlagOption import FlagOption


class ROIWriterCLIFactory(CLIFactory):
    """
    Factory which instantiates the ROIWriter class.
    """
    # Options
    no_images = FlagOption('--no-images', help='skip the writing of images, outputting only the report files')
    output = ClassOption('-o', '--output', type=str, required=True, metavar='dir_or_file')
    writer_prefix = ClassOption('--prefix', type=str, help="the prefix for output filenames (default = '')")
    writer_suffix = ClassOption('--suffix', type=str, help="the suffix for output filenames (default = '-rois.csv')")

    @classmethod
    def production_class(self, namespace: Namespace) -> Type[CLIInstantiable]:
        from wai.annotations.roi.io._ROIWriter import ROIWriter
        return ROIWriter

    @classmethod
    def init_args(self, namespace: Namespace) -> VAR_ARGS_TYPE:
        return (namespace,), dict()
